import { z } from "zod";

// Define the verify OTP form schema using Zod
export const verifyOtpSchema = z.object({
  email: z
    .string()
    .min(1, { message: "Email is required" })
    .email({ message: "Invalid email address" }),
  token: z.string().min(6, { message: "OTP is required" }),
});

// Export the type derived from the schema
export type VerifyOtpFormData = z.infer<typeof verifyOtpSchema>;
